## tdewebdev-trinity 14.2.0~pre86

=== CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################


##### set project version ########################

include( TDEVersion )
cmake_minimum_required( VERSION ${TDE_CMAKE_MINIMUM_VERSION} )
tde_set_project_version( )


##### general package setup #####################

project( tdewebdev )


##### include essential cmake modules ###########

include( FindPkgConfig          )
include( CheckFunctionExists    )
include( CheckIncludeFile       )
include( CheckLibraryExists     )
include( CheckCSourceCompiles   )
include( CheckCXXSourceCompiles )


##### include our cmake modules #################

include( TDEMacros )


##### setup install paths #######################

include( TDESetupPaths )
tde_setup_paths( )


##### optional stuff

option( WITH_ALL_OPTIONS       "Enable all optional support" OFF )
option( WITH_GCC_VISIBILITY    "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )
option( WITH_OTHER_EDITORS     "Build with other editors than kate"                ${WITH_ALL_OPTIONS} )
option( WITH_QUANTA_CVSSERVICE "Build quanta with cvs service support"             ${WITH_ALL_OPTIONS} )


##### user requested modules

option( BUILD_ALL             "Build all"             ON )
option( BUILD_QUANTA          "Build quanta"          ${BUILD_ALL} )
option( BUILD_KOMMANDER       "Build Kommander"       ${BUILD_ALL} )
option( BUILD_KLINKSTATUS     "Build klinkstatus"     ${BUILD_ALL} )
option( BUILD_KIMAGEMAPEDITOR "Build kimagemapeditor" ${BUILD_ALL} )
option( BUILD_DOC             "Build documentation"   ${BUILD_ALL} )


##### user defined options

set( KMDR_EXECUTOR_PATH "${CMAKE_INSTALL_PREFIX}/bin/kmdr-executor" CACHE STRING "Path for the kmdr-executor executable" )


##### configure checks ##########################

include( ConfigureChecks.cmake )


###### global compiler settings #################

add_definitions( -DHAVE_CONFIG_H )

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )


##### source directories ########################

tde_conditional_add_subdirectory( BUILD_QUANTA          lib             )
tde_conditional_add_subdirectory( BUILD_QUANTA          quanta          )
tde_conditional_add_subdirectory( BUILD_KOMMANDER       kommander       )
tde_conditional_add_subdirectory( BUILD_KLINKSTATUS     klinkstatus     )
tde_conditional_add_subdirectory( BUILD_KIMAGEMAPEDITOR kimagemapeditor )
tde_conditional_add_subdirectory( BUILD_DOC             doc             )


##### write configure files #####################

configure_file( config.h.cmake config.h @ONLY )

=== doc/kimagemapeditor/CMakeLists.txt ===
tde_create_handbook( DESTINATION kimagemapeditor )

=== doc/klinkstatus/CMakeLists.txt ===
tde_create_handbook( DESTINATION klinkstatus )

=== klinkstatus/src/CMakeLists.txt ===
add_subdirectory( cfg    )
add_subdirectory( engine )
add_subdirectory( parser )
add_subdirectory( utils  )
add_subdirectory( ui     )

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_BINARY_DIR}/klinkstatus/src/ui
  ${CMAKE_BINARY_DIR}/klinkstatus/src/ui/settings
)

include_directories( SYSTEM
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### libklinkstatuspart (kpart)

tde_add_kpart( libklinkstatuspart AUTOMOC

  SOURCES
        klinkstatus_part.cpp
        global.cpp
        actionmanager.cpp
  LINK
     tdecore-shared
     tdeui-shared
     tdeio-shared
     tdeparts-shared
     settings-static
     ui-static
     engine-static
     klinkstatus-parser-static
     utils-static
     
  DEPENDENCIES
     ui-static
     settings-static
     engine-static
     klinkstatus-parser-static
     utils-static
     
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### klinkstatus (executable)

tde_add_executable( klinkstatus AUTOMOC

  SOURCES
        klinkstatus.cpp
        main.cpp
  LINK
     tdecore-shared
     tdeui-shared
     tdeparts-shared
     klinkstatus-parser-static

  DESTINATION ${BIN_INSTALL_DIR}
)


##### other data

install(
    FILES klinkstatus_shell.rc
    DESTINATION ${DATA_INSTALL_DIR}/klinkstatus
)

tde_create_translated_desktop(
    SOURCE klinkstatus.desktop
    PO_DIR klinkstatus-desktops
)

tde_create_translated_desktop(
    SOURCE klinkstatus_part.desktop
    DESTINATION ${SERVICES_INSTALL_DIR}
    PO_DIR klinkstatus-desktops
)

install(
    FILES klinkstatus_part.rc
    DESTINATION ${DATA_INSTALL_DIR}/klinkstatuspart
)

=== kommander/examples/CMakeLists.txt ===
add_subdirectory( current  )
add_subdirectory( old      )
add_subdirectory( tutorial )

=== kommander/factory/CMakeLists.txt ===
include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/kommander/widget
  ${CMAKE_SOURCE_DIR}/kommander/plugin
)

include_directories( SYSTEM
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)

add_definitions( -DTQT_NO_SQL )


##### kommanderfactory (static)

tde_add_library( kommanderfactory STATIC_PIC AUTOMOC

  SOURCES
        kommanderfactory.cpp
        domtool.cpp
  LINK
     kommanderplugin-shared
)


###### headers

install(
    FILES kommanderfactory.h
    DESTINATION ${INCLUDE_INSTALL_DIR}
)

=== kommander/icons/CMakeLists.txt ===
##### icons

tde_install_icons( kommander )

install(
    FILES hi22-action-arrow.png
    DESTINATION ${DATA_INSTALL_DIR}/kommander/icons/hicolor/22x22/actions
    RENAME arrow.png
)

=== kommander/part/CMakeLists.txt ===
include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/kommander/executor
  ${CMAKE_SOURCE_DIR}/kommander/factory
)

include_directories( SYSTEM
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### libkommander_part (kpart)

tde_add_kpart( libkommander_part AUTOMOC

  SOURCES
        kommander_part.cpp
  LINK
     tdecore-shared
     tdeui-shared
     tdeio-shared
     kjs-shared
     tdeparts-shared
     tdehtml-shared
     kommanderwidget-shared
     kommanderplugin-shared
     instance-static  

  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data

tde_create_translated_desktop(
    SOURCE kommander_part.desktop
    DESTINATION ${SERVICES_INSTALL_DIR}
    PO_DIR kommander-desktops
)

=== kommander/widgets/CMakeLists.txt ===
include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/kommander/widget
  ${CMAKE_SOURCE_DIR}/kommander/factory
  ${CMAKE_SOURCE_DIR}/kommander/plugin
)

include_directories( SYSTEM
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### kommanderwidgets (shared)

tde_add_library( kommanderwidgets SHARED AUTOMOC

  SOURCES
        aboutdialog.cpp buttongroup.cpp
        checkbox.cpp closebutton.cpp
        combobox.cpp datepicker.cpp dialog.cpp
        execbutton.cpp fileselector.cpp
        fontdialog.cpp groupbox.cpp
        konsole.cpp label.cpp
        lineedit.cpp listbox.cpp
        pixmaplabel.cpp plugin.cpp
        popupmenu.cpp progressbar.cpp
        radiobutton.cpp richtexteditor.cpp
        scriptobject.cpp slider.cpp
        spinboxint.cpp statusbar.cpp
        subdialog.cpp table.cpp
        tabwidget.cpp textbrowser.cpp
        textedit.cpp timer.cpp
        toolbox.cpp treewidget.cpp
        wizard.cpp
  LINK
     tdeio-shared
     kommanderwidget-shared
     kommanderplugin-shared
     kommanderfactory-static

  DESTINATION ${LIB_INSTALL_DIR}
  
  VERSION 0.0.0
)

=== quanta/dialogs/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( settings )
add_subdirectory( tagdialogs )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/lib
  ${CMAKE_SOURCE_DIR}/quanta/utility
  ${CMAKE_SOURCE_DIR}/quanta/dialogs
  ${CMAKE_SOURCE_DIR}/quanta/src
  ${CMAKE_SOURCE_DIR}/quanta/parsers
)

include_directories( SYSTEM
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)


##### dialogs (static) ##########################

tde_add_library( dialogs STATIC_PIC AUTOMOC
  SOURCES
    copyto.cpp dirtydialog.ui dirtydlg.cpp
    donationdialog.ui dtdselectdialog.ui
    fourbuttonmessagebox.ui casewidget.ui
    actionconfigdialogs.ui actionconfigdialog.cpp
    filecombo.cpp specialchardialogs.ui
    specialchardialog.cpp dtepeditdlgs.ui
    dtepstructureeditdlgs.ui dtepeditdlg.cpp
    loadentitydlgs.ui
)

=== quanta/plugins/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/quanta/src
  ${CMAKE_SOURCE_DIR}/quanta/project
  ${CMAKE_SOURCE_DIR}/quanta/parsers
  ${CMAKE_SOURCE_DIR}/quanta/utility
  ${CMAKE_SOURCE_DIR}/quanta/messages
)

include_directories( SYSTEM
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)


##### plugins (static) ##########################

tde_add_library( plugins STATIC_PIC AUTOMOC
  SOURCES
    quantaplugininterface.cpp quantaplugineditor.cpp
    quantapluginconfig.cpp quantaplugin.cpp plugineditor.ui
    pluginconfig.ui
)

=== doc/man/kimagemapeditor/CMakeLists.txt ===
install(
    FILES kimagemapeditor.1
    DESTINATION ${MAN_INSTALL_DIR}/man1
    COMPONENT doc
)

=== debian/changelog ===
tdewebdev-trinity (4:14.2.0~pre86-0ubuntu22.04.0+7) jammy; urgency=low

  * Automated git build for b90048d2140f0dd9b729dda2fbf0d2204ae1dc3c
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdewebdev

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 17 Oct 2025 02:30:09 +0200

=== debian/control ===
Source: tdewebdev-trinity
Section: web
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Adeodato Sim <dato@net.com.org.es>, Ana Beatriz Guerrero Lopez <ana@debian.org>, Armin Berres <trigger+debian@space-based.de>, Sune Vuorela <debian@pusling.com>
Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, tqt3-doc, libxml2-dev, libxslt1-dev, libicu-dev, libcvsservice-trinity-dev
Standards-Version: 3.8.4
Homepage: http://trinity.pearsoncomputing.net

Package: tdewebdev-trinity
Architecture: all
Section: tde
Replaces: kdewebdev-kde3 (<< 4:14.0.0~), kdewebdev-trinity (<< 4:14.0.0~)
Breaks: kdewebdev-kde3 (<< 4:14.0.0~), kdewebdev-trinity (<< 4:14.0.0~)
Depends: quanta-trinity (>= ${source:Version}), kimagemapeditor-trinity (>= ${source:Version}), klinkstatus-trinity (>= ${source:Version}), kommander-trinity (>= ${source:Version})
Suggests: kommander-trinity-dev (>= ${source:Version}), tdewebdev-trinity-doc-html (>= ${source:Version})
Description: web development apps from the official TDE release [Trinity]
 TDE (the Trinity Desktop Environment) is a powerful Open Source graphical
 desktop environment for Unix workstations. It combines ease of use,
 contemporary functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 This metapackage includes a collection of web development applications
 provided with the official release of TDE.

Package: tdewebdev-trinity-doc-html
Architecture: all
Section: doc
Replaces: kdewebdev-kde3-doc-html (<< 4:14.0.0~), kdewebdev-trinity-doc-html (<< 4:14.0.0~)
Breaks: kdewebdev-kde3-doc-html (<< 4:14.0.0~), kdewebdev-trinity-doc-html (<< 4:14.0.0~)
Suggests: konqueror-trinity | www-browser, tdewebdev-trinity
Description: TDE web development documentation in HTML format [Trinity]
 By default the modules provided by TDE only provide their documentation
 in TDE docbook format, which can only be read by Konqueror or KHelpCenter.
 This package provides all of the TDE web development documentation converted
 to HTML format so it can be read with any web browser.
 .
 The documentation will be installed into the usual directories
 /opt/trinity/share/doc/tde/HTML/<language>/<app>/, for instance
 /opt/trinity/share/doc/tde/HTML/en/quanta/. Documentation is provided for most
 TDE web development packages.
 .
 This package is part of TDE, as a component of the TDE web development module.
 See the 'tde-trinity' and 'tdewebdev-trinity' packages for more information.

Package: quanta-trinity
Architecture: any
Section: web
Replaces: quanta-kde3 (<< 4:14.0.0~), quanta-trinity (<< 4:14.0.0~)
Breaks: quanta-kde3 (<< 4:14.0.0~), quanta-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}, tdefilereplace-trinity, klinkstatus-trinity, kommander-trinity, quanta-data-trinity, tidy
Recommends: cervisia-trinity, gnupg, kompare-trinity, kxsldbg-trinity, docbook-defguide
Suggests: gubed, kimagemapeditor-trinity, wget, khelpcenter-trinity, php-doc
Description: web development environment for TDE [Trinity]
 Quanta Plus is a web development environment for working with HTML
 and associated languages. It strives to be neutral and transparent
 to all markup languages, while supporting popular web-based scripting
 languages, CSS and other emerging W3C recommendations.
 .
 Quanta Plus supports many external components, debuggers and other tools
 for web development, several of which are shipped with the TDE web
 development module.
 .
 Quanta Plus is not in any way affiliated with any commercial versions
 of Quanta. The primary coders from the original team left the GPL'd
 version to produce a commercial product.
 .
 This package is part of TDE, as a component of the TDE web development module.
 See the 'tde-trinity' and 'tdewebdev-trinity' packages for more information.

Package: quanta-data-trinity
Architecture: all
Section: web
Replaces: quanta-data-kde3 (<< 4:14.0.0~), quanta-data-trinity (<< 4:14.0.0~)
Breaks: quanta-data-kde3 (<< 4:14.0.0~), quanta-data-trinity (<< 4:14.0.0~)
Recommends: quanta-trinity (= ${source:Version})
Description: data files for Quanta Plus web development environment [Trinity]
 This package contains architecture-independent data files for Quanta
 Plus, a web development environment for working with HTML and associated
 languages.
 .
 See the quanta package for further information.
 .
 This package is part of TDE, as a component of the TDE web development module.
 See the 'tde-trinity' and 'tdewebdev-trinity' packages for more information.

Package: kimagemapeditor-trinity
Architecture: any
Section: editors
Replaces: kimagemapeditor-kde3 (<< 4:14.0.0~), kimagemapeditor-trinity (<< 4:14.0.0~)
Breaks: kimagemapeditor-kde3 (<< 4:14.0.0~), kimagemapeditor-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Suggests: quanta-trinity
Description: HTML image map editor for TDE [Trinity]
 KImageMapEditor is a tool that allows you to edit image maps in HTML
 files. As well as providing a standalone application, KImageMapEditor
 makes itself available as a KPart for embedding into larger applications.
 .
 This package is part of TDE, as a component of the TDE web development module.
 See the 'tde-trinity' and 'tdewebdev-trinity' packages for more information.

Package: klinkstatus-trinity
Architecture: any
Section: web
Replaces: klinkstatus-kde3 (<< 4:14.0.0~), klinkstatus-trinity (<< 4:14.0.0~)
Breaks: klinkstatus-kde3 (<< 4:14.0.0~), klinkstatus-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Suggests: quanta-trinity, khelpcenter-trinity
Description: web link validity checker for TDE [Trinity]
 KLinkStatus is TDE's web link validity checker. It allows you to
 search internal and external links throughout your web site. Simply
 point it to a single page and choose the depth to search.
 .
 You can also check local files, or files over ftp:, fish: or any other
 KIO protocols. For performance, links can be checked simultaneously.
 .
 This package is part of TDE, as a component of the TDE web development module.
 See the 'tde-trinity' and 'tdewebdev-trinity' packages for more information.

Package: kommander-trinity
Architecture: any
Section: tde
Replaces: kommander-kde3 (<< 4:14.0.0~), kommander-trinity (<< 4:14.0.0~)
Breaks: kommander-kde3 (<< 4:14.0.0~), kommander-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Suggests: kommander-trinity-dev, quanta-trinity, khelpcenter-trinity
Description: visual dialog builder and executor tool [Trinity]
 Kommander is a visual dialog building tool whose primary objective is
 to create as much functionality as possible without using any scripting
 language.
 .
 More specifically, Kommander is a set of tools that allow you to create
 dynamic GUI dialogs that generate, based on their state, a piece of
 text. The piece of text can be a command line to a program, any piece
 of code, business documents that contain a lot of repetitious or
 templated text and so on.
 .
 The resulting generated text can then be executed as a command line
 program (hence the name "Kommander"), written to a file, passed to a
 script for extended processing, and literally anything else you can
 think of. And you aren't required to write a single line of code!
 .
 As well as building dialogs, Kommander may be expanded to create full
 mainwindow applications.
 .
 This package is part of TDE, as a component of the TDE web development module.
 See the 'tde-trinity' and 'tdewebdev-trinity' packages for more information.

Package: kommander-trinity-dev
Architecture: any
Section: libdevel
Replaces: kommander-kde3-dev (<< 4:14.0.0~), kommander-trinity-dev (<< 4:14.0.0~)
Breaks: kommander-kde3-dev (<< 4:14.0.0~), kommander-trinity-dev (<< 4:14.0.0~)
Depends: kommander-trinity (= ${binary:Version}), tdelibs14-trinity-dev
Description: development files for Kommander [Trinity]
 This package contains the headers and other development files for
 building plugins or otherwise extending Kommander.
 .
 Kommander is a visual dialog building tool whose primary objective is
 to create as much functionality as possible without using any scripting
 language.
 .
 See the kommander package for further information.
 .
 This package is part of TDE, as a component of the TDE web development module.
 See the 'tde-trinity' and 'tdewebdev-trinity' packages for more information.

Package: tdewebdev-trinity-dbg
Section: libdevel
Architecture: any
Replaces: kdewebdev-kde3-dbg (<< 4:14.0.0~), kdewebdev-trinity-dbg (<< 4:14.0.0~)
Breaks: kdewebdev-kde3-dbg (<< 4:14.0.0~), kdewebdev-trinity-dbg (<< 4:14.0.0~)
Depends: tdelibs-trinity-dbg
Priority: extra
Description: debugging symbols for tdewebdev [Trinity]
 This package contains the debugging symbols associated with tdewebdev.
 They will automatically be used by gdb for debugging tdewebdev-related
 issues.

## tdewebdev-trinity 14.2.0~pre88

=== debian/changelog ===
tdewebdev-trinity (4:14.2.0~pre88-0ubuntu26.04.0+7~a) resolute; urgency=low

  * Automated git build for a5ec2f60ed4a2d68b2654eddf0fc865ff4b7e86b
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdewebdev

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 16 Dec 2025 11:13:36 +0100

## tdewebdev-trinity 14.2.0~pre89

=== debian/changelog ===
tdewebdev-trinity (4:14.2.0~pre89-0ubuntu26.04.0+7~a) resolute; urgency=low

  * Automated git build for ef7ea1f2a121513d75661a9d5bc5b75bbcd236c8
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdewebdev

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 30 Dec 2025 14:36:30 +0100

## tdewebdev-trinity 14.2.0~pre90

=== debian/changelog ===
tdewebdev-trinity (4:14.2.0~pre90-0ubuntu26.04.0+7~a) resolute; urgency=low

  * Automated git build for 4a438f4899fca4bace0b66231aaa636e38751311
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdewebdev

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 02 Jan 2026 16:13:57 +0100

## tdewebdev-trinity 14.2.0~pre92

=== debian/changelog ===
tdewebdev-trinity (4:14.2.0~pre92-0ubuntu26.04.0+7~a) resolute; urgency=low

  * Automated git build for e1c0db08869e30a26d3fd5e8be1716b0b723f65d
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdewebdev

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 17 Jan 2026 16:14:51 +0100

## tdewebdev-trinity 14.2.0~pre94

=== klinkstatus/src/CMakeLists.txt ===
--- 
+++ 
@@ -41,14 +41,15 @@
      engine-static
      klinkstatus-parser-static
      utils-static
-     
+ 
   DEPENDENCIES
      ui-static
      settings-static
      engine-static
      klinkstatus-parser-static
      utils-static
-     
+     klinkstatus+src+cfg+klsconfig.cpp
+
   DESTINATION ${PLUGIN_INSTALL_DIR}
 )

=== klinkstatus/src/engine/CMakeLists.txt ===
include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/src/ui
)

include_directories( SYSTEM
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### engine (static)

tde_add_library( engine STATIC_PIC AUTOMOC

  SOURCES
        linkchecker.cpp
        linkstatus.cpp
        searchmanager.cpp
        linkfilter.cpp
  LINK
     tdehtml-shared

  DEPENDENCIES
    klinkstatus+src+cfg+klsconfig.cpp
)

=== klinkstatus/src/ui/CMakeLists.txt ===
add_subdirectory( settings )

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/src
  ${CMAKE_BINARY_DIR}/klinkstatus/src/cfg
  ${CMAKE_BINARY_DIR}/klinkstatus/src
)

include_directories( SYSTEM
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### ui (static)

tde_add_library( ui STATIC_PIC AUTOMOC

  SOURCES
        sessionwidgetbase.ui
        sessionwidget.cpp tabwidgetsession.cpp
        klshistorycombo.cpp resultview.cpp
        treeview.cpp resultssearchbar.cpp
        documentrootdialog.cpp
  LINK
     cfg-static

  DEPENDENCIES
    klinkstatus+src+cfg+klsconfig.cpp
)

=== debian/changelog ===
tdewebdev-trinity (4:14.2.0~pre94-0ubuntu26.04.0+7~a) resolute; urgency=low

  * Automated git build for e7207f65b26efb232b21737508d7c7d8de346670
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdewebdev

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 19 Feb 2026 16:11:41 +0100
